:

# xml:lang is inherited from x:xmpmeta.

trap 'rm -f $TMP' 0
TMP=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
<x:xmpmeta xmlns:x="adobe:ns:meta/" xml:lang="fr">
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#'>
  <rdf:Description rdf:about=''>
   <bar xmlns="foo#">Ceci est en français</bar>
   <baz xmlns="foo#">Ceci aussi</baz>
  </rdf:Description>
 </rdf:RDF>
</x:xmpmeta>
<?xpacket end='w'?>
EOF

./xmptool -c $TMP

./xmptool -v 'foo#bar' $TMP | grep -F 'foo#bar[fr]' || exit 1
./xmptool -v 'foo#baz' $TMP | grep -F 'foo#baz[fr]' || exit 1
