:

# This form is for qualified values, but should be accepted even if
# there are no qualifiers (other than xml:lang).

trap 'rm -f $TMP1' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
 <rdf:Description>
  <bar xmlns="foo/">
   <rdf:Description>
    <rdf:value>baz</rdf:value>
   </rdf:Description>
  </bar>
 </rdf:Description>
</rdf:RDF>
EOF

# Should parse without errors
./xmptool -c $TMP1 >/dev/null
test $? == 0 || exit 1

# Should return the value "baz"
./xmptool '*bar' $TMP1 | grep 'baz'
test $? == 0 || exit 1

