:

# This form is for qualified values, but should be accepted even if
# there are no qualifiers (other than xml:lang). Output should use the
# simple syntax.

trap 'rm -f $TMP1' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
 <rdf:Description>
  <bar xmlns="foo/">
   <rdf:Description>
    <rdf:value>baz</rdf:value>
   </rdf:Description>
  </bar>
 </rdf:Description>
</rdf:RDF>
EOF

./xmptool -c $TMP1 | grep '<bar xmlns="foo/">baz</bar>'
