:

# Fixed point

trap 'rm -f $TMP1 $TMP2 $TMP3' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#'>
  <rdf:Description rdf:about=''>
   <camera xmlns='http://www.w3.org/2000/PhotoRDF/technical-1-0#' xml:lang='x-default'>Canon EOS D60</camera>
   <date xmlns='http://purl.org/dc/elements/1.1/' xml:lang='x-default'>2018-04-02</date>
   <GPSLatitude xmlns='http://ns.adobe.com/exif/1.0/' xml:lang='x-default'>43,43.3554600000N</GPSLatitude>
   <GPSLongitude xmlns='http://ns.adobe.com/exif/1.0/' xml:lang='x-default'>7,6.7019400000E</GPSLongitude>
   <coverage xmlns='http://purl.org/dc/elements/1.1/'>
    <rdf:Alt>
     <rdf:li xml:lang='nl'>Vence, Alpes-Maritimes, Frankrijk</rdf:li>
     <rdf:li xml:lang='en'>Vence, Alpes-Maritimes, France</rdf:li>
    </rdf:Alt>
   </coverage>
   <title xmlns='http://purl.org/dc/elements/1.1/' xml:lang='nl'>Braziliaanse danseressen</title>
   <description xmlns='http://purl.org/dc/elements/1.1/' xml:lang='nl'>Danseressen van dansgroep Exotica Danse</description>
   <publisher xmlns='http://purl.org/dc/elements/1.1/' xml:lang='nl'>http://www.phonk.net/</publisher>
   <relation xmlns='http://purl.org/dc/elements/1.1/' xml:lang='nl'>Bloemencorso Pasen 2018</relation>
   <creator xmlns='http://purl.org/dc/elements/1.1/' xml:lang='nl'>Bert Bos</creator>
   <rights xmlns='http://purl.org/dc/elements/1.1/' xml:lang='nl'>Copyright © 2018 Bert Bos</rights>
   <identifier xmlns='http://purl.org/dc/elements/1.1/' xml:lang='x-default'>180175</identifier>
   <format xmlns='http://purl.org/dc/elements/1.1/'>image/jpeg</format>
   <type xmlns='http://purl.org/dc/elements/1.1/'>image</type>
  </rdf:Description>
 </rdf:RDF>
<?xpacket end='w'?>
EOF

./xmptool -d foo $TMP1 >$TMP2
./xmptool -d foo $TMP2 >$TMP3
diff -u $TMP2 $TMP3
