:

# Removing from a Bag

trap 'rm -f $TMP1' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#'>
  <rdf:Description rdf:about=''>
   <camera xmlns='http://www.w3.org/2000/PhotoRDF/technical-1-0#'>
    <rdf:Bag>
     <rdf:li xml:lang="en">My camera</rdf:li>
     <rdf:li xml:lang="nl">Mijn camera</rdf:li>
    </rdf:Bag>
   </camera>
   <date xmlns='http://purl.org/dc/elements/1.1/' xml:lang='x-default'>2018-04-02</date>
  </rdf:Description>
 </rdf:RDF>
<?xpacket end='w'?>
EOF

# grep should succeed:
./xmptool '*#camera' $TMP1 | grep 'My camera'
test $? == 0 || exit 1

# grep should succeed:
./xmptool -l en -d '*#camera' $TMP1 | ./xmptool '*#camera' | grep 'Mijn camera'
test $? == 0 || exit 1

# grep should fail:
./xmptool -l en -d '*#camera' $TMP1 | ./xmptool '*#camera' | grep 'My camera'
test $? != 0 || exit 1
