:

# Add a property with a URI as value.

trap 'rm -f $TMP1 $TMP2' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1

# Create an XMP file.
echo | ./xmptool -r -w 'foo/bar' 'http://example.org/' >$TMP1
grep 'rdf:resource="http://example.org/"' $TMP1 || exit 1

# List the contents of the XMP file.
./xmptool -v '*' $TMP1 >$TMP2
grep 'http://example.org/' $TMP2 || exit 1
grep 'foo/bar' $TMP2 || exit 1
