:

# The <rdf:value> element may not have an xml:lang attribute.

trap 'rm -f $TMP1' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
 <rdf:Description>
  <bar xmlns="foo/" xml:lang="en">
   <rdf:Description>
    <rdf:value>baz</rdf:value>
    <qualifier xmlns="foo/">A qualifier</qualifier>
   </rdf:Description>
  </bar>
 </rdf:Description>
</rdf:RDF>
EOF

# The grep should fail
./xmptool -c $TMP1 | grep '<rdf:value xml:lang="en">'
test $? != 0 || exit 1
