:

# Structure replacing rdf:Description element with
# rdf:parseType=Resource attribute

trap 'rm -f $TMP1 $TMP2 $TMP3' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<rdf:RDF
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:xmpTPg="http://ns.adobe.com/xap/1.0/t/pg/"
  xmlns:stDim="http://ns.adobe.com/xap/1.0/sType/Dimensions#"
  xmlns:xmp="http://ns.adobe.com/xap/1.0/"
  xmlns:xe="http://ns.adobe.com/xmp-example/">
 <rdf:Description rdf:about="">

  <xmpTPg:MaxPageSize rdf:parseType="Resource">
   <stDim:h>11.0</stDim:h>
   <stDim:w>8.5</stDim:w>
   <stDim:unit>inch</stDim:unit>
  </xmpTPg:MaxPageSize>

  <xmp:BaseURL rdf:parseType="Resource">
   <rdf:value rdf:resource="http://www.adobe.com/"/>
   <xe:qualifier>artificial example</xe:qualifier>
  </xmp:BaseURL>
 </rdf:Description>
</rdf:RDF>
EOF

# Expected output
cat >$TMP2 <<EOF
<?xpacket begin='﻿' id='W5M0MpCehiHzreSzNTczkc9d'?>
<rdf:RDF
  xmlns:crs="http://ns.adobe.com/camera-raw-settings/1.0/"
  xmlns:exif="http://ns.adobe.com/exif/1.0/"
  xmlns:aux="http://ns.adobe.com/exif/1.0/aux/"
  xmlns:photoshop="http://ns.adobe.com/photoshop/1.0/"
  xmlns:tiff="http://ns.adobe.com/tiff/1.0/"
  xmlns:xap="http://ns.adobe.com/xap/1.0/"
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:tc="http://www.w3.org/2000/PhotoRDF/technical-1-0#">
 <rdf:Description rdf:about="">
  <xap:BaseURL>
   <rdf:Description>
    <rdf:value rdf:resource="http://www.adobe.com/"/>
    <qualifier xmlns="http://ns.adobe.com/xmp-example/">artificial example</qualifier>
   </rdf:Description>
  </xap:BaseURL>
  <MaxPageSize xmlns="http://ns.adobe.com/xap/1.0/t/pg/">
   <rdf:Description>
    <h xmlns="http://ns.adobe.com/xap/1.0/sType/Dimensions#">11.0</h>
    <unit xmlns="http://ns.adobe.com/xap/1.0/sType/Dimensions#">inch</unit>
    <w xmlns="http://ns.adobe.com/xap/1.0/sType/Dimensions#">8.5</w>
   </rdf:Description>
  </MaxPageSize>
 </rdf:Description>
</rdf:RDF>
<?xpacket end='w'?>
EOF

./xmptool -c $TMP1 >$TMP3
diff -u $TMP2 $TMP3
