:

# Compare output with and wihout -v

trap 'rm -f $TMP1 $TMP2 $TMP3 $TMP4 $TMP5' 0
TMP1=`mktemp /tmp/test-XXXXXX` || exit 1
TMP2=`mktemp /tmp/test-XXXXXX` || exit 1
TMP3=`mktemp /tmp/test-XXXXXX` || exit 1
TMP4=`mktemp /tmp/test-XXXXXX` || exit 1
TMP5=`mktemp /tmp/test-XXXXXX` || exit 1

cat >$TMP1 <<EOF
<rdf:RDF
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:a='aaa#'>
 <rdf:Description rdf:about=''>
  <bbb xmlns="aaa#">BBB</bbb>
  <a:aaa xml:lang="xx">
   <rdf:Bag>
    <rdf:li>
     <rdf:Description rdf:value="a1"><a:n>first</a:n></rdf:Description>
    </rdf:li>
    <rdf:li>
     <rdf:Description rdf:value="a2"><a:n>second</a:n></rdf:Description>
    </rdf:li>
   </rdf:Bag>
  </a:aaa>
 </rdf:Description>
</rdf:RDF>
EOF

# Expected output with -v
cat >$TMP2 <<EOF
aaa#aaa[xx]	a1
aaa#aaa[xx] aaa#n[xx]	first
aaa#aaa[xx]	a2
aaa#aaa[xx] aaa#n[xx]	second
aaa#bbb	BBB
EOF

# Expected output without -v
cut -f2- <$TMP2 >$TMP4

./xmptool -v '*' $TMP1 >$TMP3
diff -u $TMP2 $TMP3 || exit 1

./xmptool '*' $TMP1 >$TMP5
diff -u $TMP4 $TMP5 || exit 1
